Package com.smartgwt.client.widgets

# Class FiscalYear

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.widgets.FiscalYear

All Implemented Interfaces:
  `HasHandlers`

public class FiscalYear extends RefDataClass
An object representing the start of a given Fiscal Year in the current locale.

See `FiscalCalendar` for more information on how FiscalYears are set up and used.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FiscalYear()`
  `FiscalYear(int year, int month, int date)`
  `FiscalYear(int fiscalYear, int year, int month, int date)`
  `FiscalYear(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getDate()`
  The one-based day-number in the `specified month` when this fiscal year starts.
  `Integer`
  `getFiscalYear()`
  The actual fiscal year that this date relates to.
  `Integer`
  `getMonth()`
  The zero-based month-number when this fiscal year starts.
  `static FiscalYear`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Integer`
  `getYear()`
  The 4-digit calendar year when this fiscal year starts.
  `FiscalYear`
  `setDate(Integer date)`
  The one-based day-number in the `specified month` when this fiscal year starts.
  `FiscalYear`
  `setFiscalYear(Integer fiscalYear)`
  The actual fiscal year that this date relates to.
  `FiscalYear`
  `setMonth(Integer month)`
  The zero-based month-number when this fiscal year starts.
  `FiscalYear`
  `setYear(Integer year)`
  The 4-digit calendar year when this fiscal year starts.

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FiscalYear

    public FiscalYear()

  - ### FiscalYear

    public FiscalYear(JavaScriptObject jsObj)

  - ### FiscalYear

    public FiscalYear(int year, int month, int date)

  - ### FiscalYear

    public FiscalYear(int fiscalYear, int year, int month, int date)

- ## Method Details

  - ### getOrCreateRef

    public static FiscalYear getOrCreateRef(JavaScriptObject jsObj)

  - ### setDate

    public FiscalYear setDate(Integer date)
    The one-based day-number in the `specified month` when this fiscal year starts.
    Parameters:
      `date` - New date value. Default value is null
    Returns:
      `FiscalYear` instance, for chaining setter calls

  - ### getDate

    public Integer getDate()
    The one-based day-number in the `specified month` when this fiscal year starts.
    Returns:
      Current date value. Default value is null

  - ### setFiscalYear

    public FiscalYear setFiscalYear(Integer fiscalYear)
    The actual fiscal year that this date relates to.

    A fiscal year ends when the next one begins. A fiscal year may span the boundary between two calendar years in which case the `fiscalYear` value may not match the `year` value.

    For example fiscalYear 2020 may start in July of 2019 and end in July of 2020. In this case the `fiscalYear` would be set to `2020` and the `year` would be set to `2019`

    Parameters:
      `fiscalYear` - New fiscalYear value. Default value is null
    Returns:
      `FiscalYear` instance, for chaining setter calls

  - ### getFiscalYear

    public Integer getFiscalYear()
    The actual fiscal year that this date relates to.

    A fiscal year ends when the next one begins. A fiscal year may span the boundary between two calendar years in which case the `fiscalYear` value may not match the `year` value.

    For example fiscalYear 2020 may start in July of 2019 and end in July of 2020. In this case the `fiscalYear` would be set to `2020` and the `year` would be set to `2019`

    Returns:
      Current fiscalYear value. Default value is null

  - ### setMonth

    public FiscalYear setMonth(Integer month)
    The zero-based month-number when this fiscal year starts.
    Parameters:
      `month` - New month value. Default value is null
    Returns:
      `FiscalYear` instance, for chaining setter calls

  - ### getMonth

    public Integer getMonth()
    The zero-based month-number when this fiscal year starts.
    Returns:
      Current month value. Default value is null

  - ### setYear

    public FiscalYear setYear(Integer year)
    The 4-digit calendar year when this fiscal year starts.
    Parameters:
      `year` - New year value. Default value is null
    Returns:
      `FiscalYear` instance, for chaining setter calls

  - ### getYear

    public Integer getYear()
    The 4-digit calendar year when this fiscal year starts.
    Returns:
      Current year value. Default value is null